!************************************************************
!CLCULO DO COEFICIENTE DE ARRASTO DE ATRITO
!************************************************************

!CLCULO DO COEFICIENTE DE ARRASTO DO CORPO

SUBROUTINE CdAtritoc	(To, Po, Retc, M, Cf, Swet, Cfl, Cft, C, L, Sref, Cdac, Pi, Lna, Dna, Na, Swetna, Dc)

INTEGER Na

REAL*8 B, Po, To, Lnt,  Retc, M, Swet, Swetl, C, Cfl, Cft, Cf, Sref, Cdac, L, &
       Pi, Lna, Dna, Swetna, Dc   


B = 8816603*Po*To**(-1.26d0)/(0.3048d0*1000d0)                              !Propriedade atmosfrica pa/u (mm^-1)

Lnt = Retc/(M*B)                                                            !Comprimento de transio natural (mm)

CALL arealam (Pi, Na, Dna, Lna, Lnt, Swetna, Swetl, Dc)

C = (1d0+0.15d0*M**2d0)**(-0.58d0)								 	                                    !Coeficiente de correo para considerar efeitos da compressibilidade

Cfl = 1.328d0*(Swetl/Swet)/dsqrt(Retc)                                                                  !Coeficiente de atrito da seo laminar, sem assumir transio forada (adimensional) 

Cft = (0.427d0*(1d0-Swetl/Swet))*C/((dlog10(M*B*L*1d0)-0.407d0)**(2.64d0))                              !Coeficiente de atrito da seo turbulenta corrigido, sem assumir transio forada (adimensional) 

!Condio para velocidades muito baixas
IF (Cft<=0) THEN
    Cft = 1.48d-02
ELSE
    Cft = Cft
END IF
    
Cf = Cfl + Cft												                                            !Coeficiente de atrito do corpo total (adimensional)
																		   
Cdac = Cf*Swet*(1d0-0.09d0*M**2d0)/Sref							                                !Coeficiente de arrasto gerado pelo atrito do corpo (adimensional)

END SUBROUTINE CdAtritoc 


!CLCULO DO COEFICIENTE DE ARRASTO DAS EMPENAS

SUBROUTINE CdAtritoe (To, Po, Rete, M, Cfe, Swete, Cfle, Cfte, C, Le, Sref, Cdae, N)

REAL*8 B, Po, To, Lnte,  Rete, M, Swete, C, Cfle, Cfte, Cfe, Sref, Cdae, Le, N


B = 8816603*Po*To**(-1.26d0)/(0.3048d0*1000d0)                                                             !Propriedade atmosfrica pa/u (mm^-1)

Lnte = (Rete/(M*B))                                                                                        !Comprimento de transio natural (mm)

C = (1d0+0.15d0*M**2d0)**(-0.58d0)								 	                                       !Coeficiente de correo para considerar efeitos da compressibilidade (adimensional)

Cfle = 1.328d0/dsqrt(Rete)                                                                                 !Coeficiente de atrito da seo laminar, sem assumir transio forada (adimensional) 

Cfte = 0.427d0*C*((1d0/((dlog10(M*B*Le*1d0)-0.407d0)**2.64d0))-((Lnte/Le)/(dlog10(Rete)-0.407d0)**2.64d0)) !Coeficiente de atrito da seo turbulenta corrigido, sem assumir transio forada (adimensional) 

Cfe = Cfle + Cfte																						   !Coeficiente de atrito total

Cdae = (Cfe*(Swete)*(1d0-0.09d0*M**2d0)/Sref)*N	 				                                           !Coeficiente de arrasto gerado pelo atrito das empenas (adimensional)

END SUBROUTINE CdAtritoe
