!************************************************************
!CLCULO DA REA SUPERFICIAL DO NARIZ
!************************************************************

SUBROUTINE Narizgeo (Pi, Na, Lna, Dna, Swetna)

INTEGER Na

REAL*8 ex, Lna, Dna, Swetna, Pi, g
 

SELECT CASE (Na)
 
   !***********************************************
    CASE(1) !REA SUPERFICIAL DE UM ELIPSIDE (mm)
   !***********************************************

	!Clculo da excentricidade 1

	ex = dsqrt(1d0 - (Dna/2d0)**2d0/Lna**2d0)

	!Clculo da rea superficial (in)

	Swetna = Pi*((Dna/2d0)**2d0+((Dna/2d0)*Lna*dasin(ex)/ex))  !Frmula aproximada
    
    !Swetna = Dna*Lna*2d0*Pi
    	
   !***********************************************************************
	CASE(2) !REA SUPERFICIAL DE UMA OGIVA - tangente ao tubo-foguete (mm)
   !***********************************************************************

	Swetna = Pi*((Lna**2d0+(Dna/2d0)**2d0)/(Dna/2d0))*(((Dna/2d0)**2d0-Lna**2d0)*dasin(2d0*(Dna/2d0)*Lna/(Lna**2d0+(Dna/2d0)**2d0))/(2d0*(Dna/2d0))+Lna)
	
	
   !***********************************************************************
	CASE(3) !REA SUPERFICIAL DE UM CONE (mm)
   !***********************************************************************
    g = dsqrt(Lna**2d0+(Dna/2d0)**2d0)
    
	Swetna = Pi*(Dna/2d0)*g 
	
    !***************************************************************************
    CASE(4) !REA SUPERFICIAL DE UM NARIZ COM SRIE DE POTNCIA PARABLICA (mm)
   !****************************************************************************
    
    Swetna = (Pi*(Dna/2d0)/(6d0*Lna**2d0))*(((Dna/2d0)**2d0+4d0*Lna**2d0)**(1.5d0)-((Dna/2d0)**2d0)**(1.5d0))
   
    END SELECT
    
END SUBROUTINE Narizgeo
