!************************************************************
!CONVERSO DE UNIDADES
!************************************************************
    
!CONVERSO DE PS (ft) PARA MILMETROS (mm)
    
SUBROUTINE pes(Lna, Dna, Lc, Dc, e, Rc, Tc, S, Sc, Dt, Detb, etb, Ltb)
    
REAL*8 Lna, Dna, Lc, Dc, e, Rc, Tc, S, Sc, Dt, Detb, etb, Ltb

Lna  = Lna*(0.3048d0*1000d0)       !Comprimento total do corpo (mm) 
Dna  = Dna*(0.3048d0*1000d0)	   !Dimetro do corpo (mm) 
Lc   = Lc*(0.3048d0*1000d0)        !Comprimento do tubo (mm) 
Dc   = Dc*(0.3048d0*1000d0)	       !Dimetro do tubo (mm)
e    = e*(0.3048d0*1000d0)         !Espessura (mm)
Rc   = Rc*(0.3048d0*1000d0)        !Comprimento da base (mm)
Tc   = Tc*(0.3048d0*1000d0)        !Comprimento do topo (mm)
S    = S*(0.3048d0*1000d0)         !Altura (mm)
Sc   = Sc*(0.3048d0*1000d0)        !Comprimento do contorno (mm)
Dt   = Dt*(0.3048d0*1000d0)        !Dimetro da tubeira (mm)
Detb = Detb*(0.3048d0*1000d0)      !Dimetro externo do tubo-guia (mm)
etb  = etb*(0.3048d0*1000d0)       !Espessura do tubo-guia (mm)
Ltb  = Ltb*(0.3048d0*1000d0)       !Comprimento do tubo-guia (mm)

END SUBROUTINE pes
    
!CONVERSO DE POLEGADAS (in) PARA MILMETROS (mm)
    
SUBROUTINE polegadas(Lna, Dna, Lc, Dc, e, Rc, Tc, S, Sc, Dt, Detb, etb, Ltb)
    
REAL*8 Lna, Dna, Lc, Dc, e, Rc, Tc, S, Sc, Dt, Detb, etb, Ltb

Lna  = Lna*(0.0254d0*1000d0)       !Comprimento total do corpo (mm) 
Dna  = Dna*(0.0254d0*1000d0)	   !Dimetro do corpo (mm) 
Lc   = Lc*(0.0254d0*1000d0)        !Comprimento do tubo (mm) 
Dc   = Dc*(0.0254d0*1000d0)	       !Dimetro do tubo (mm)
e    = e*(0.0254d0*1000d0)         !Espessura (mm)
Rc   = Rc*(0.0254d0*1000d0)        !Comprimento da base (mm)
Tc   = Tc*(0.0254d0*1000d0)        !Comprimento do topo (mm)
S    = S*(0.0254d0*1000d0)         !Altura (mm)
Sc   = Sc*(0.0254d0*1000d0)        !Comprimento do contorno (mm)
Dt   = Dt*(0.0254d0*1000d0)        !Dimetro da tubeira (mm)
Detb = Detb*(0.0254d0*1000d0)      !Dimetro externo do tubo-guia (mm)
etb  = etb*(0.0254d0*1000d0)       !Espessura do tubo-guia (mm)
Ltb  = Ltb*(0.0254d0*1000d0)       !Comprimento do tubo-guia (mm)

END SUBROUTINE polegadas